PYTHON(1)

NAME
vtkpython - Python interpreter with VTK library bindings

DESCRIPTION
usage: python [option] ... [-c cmd | -m mod | file | -] [arg] ... Options (and corresponding environment variables): -b : issue warnings about converting bytes/bytearray to str and comparing

    bytes/bytearray with str or bytes with int. (-bb: issue errors)

-B : don't write .pyc files on import; also PYTHONDONTWRITEBYTECODE=x -c cmd : program passed in as string (terminates option list) -d : turn on parser debugging output (for experts only, only works on

    debug builds); also PYTHONDEBUG=x

-E : ignore PYTHON* environment variables (such as PYTHONPATH) -h : print this help message and exit (also -? or --help) -i : inspect interactively after running script; forces a prompt even

    if stdin does not appear to be a terminal; also PYTHONINSPECT=x

-I : isolate Python from the user's environment (implies -E, -P and -s) -m mod : run library module as a script (terminates option list) -O : remove assert and __debug__-dependent statements; add .opt-1 before

    .pyc extension; also PYTHONOPTIMIZE=x

-OO : do -O changes and also discard docstrings; add .opt-2 before

    .pyc extension

-P : don't prepend a potentially unsafe path to sys.path; also

    PYTHONSAFEPATH

-q : don't print version and copyright messages on interactive startup -s : don't add user site directory to sys.path; also PYTHONNOUSERSITE=x -S : don't imply 'import site' on initialization -u : force the stdout and stderr streams to be unbuffered;

    this option has no effect on stdin; also PYTHONUNBUFFERED=x

-v : verbose (trace import statements); also PYTHONVERBOSE=x

    can be supplied multiple times to increase verbosity

-V : print the Python version number and exit (also --version)

    when given twice, print more information about the build

-W arg : warning control; arg is action:message:category:module:lineno

    also PYTHONWARNINGS=arg

-x : skip first line of source, allowing use of non-Unix forms of #!cmd -X opt : set implementation-specific option --check-hash-based-pycs always|default|never:

    control how Python invalidates hash-based .pyc files

--help-env: print help about Python environment variables and exit --help-xoptions: print help about implementation-specific -X options and exit --help-all: print complete help information and exit

Arguments: file : program read from script file - : program read from stdin (default; interactive mode if a tty) arg ...: arguments passed to program in sys.argv[1:]

SEE ALSO
The full documentation for Python is maintained as a Texinfo manual. If the info and Python programs are properly installed at your site, the command

    info Python

should give you access to the complete manual.